Summary:      platform independent library for scheme
Name:         slib
Version:      3a4
Release:      1%{?dist}
License:      SLIB
Group:        Development/Languages
BuildArch:    noarch
Source0:      ftp://swissnet.ai.mit.edu/pub/scm/slib%{version}.zip
Patch1:       slib-3a4-guile.patch
URL:          http://swissnet.ai.mit.edu/~jaffer/SLIB.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
"SLIB" is a portable library for the programming language Scheme.
It provides a platform independent framework for using "packages" of
Scheme procedures and syntax.  As distributed, SLIB contains useful
packages for all Scheme implementations.  Its catalog can be
transparently extended to accommodate packages specific to a site,
implementation, user, or directory.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .guile
for i in *; do
  sed -e "s,/usr/local/lib,%{_datadir},g" \
      -e "s,/usr/lib,%{_datadir},g" \
      -e "s,/usr/local,/usr,g" < "${i}" > "${i}.tmp"
  mv "${i}.tmp" "${i}"
done

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/slib
cp *.scm *.init *.xyz *.txt *.dat *.ps ${RPM_BUILD_ROOT}%{_datadir}/slib
mkdir -p ${RPM_BUILD_ROOT}%{_infodir}
install -m644 slib.info $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/slib.info.gz %{_infodir}/dir
:

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/slib.info.gz %{_infodir}/dir
fi
:

%files
%defattr(-,root,root)
%dir %{_datadir}/slib
%doc ANNOUNCE README COPYING FAQ ChangeLog
%{_datadir}/slib/*
%{_infodir}/slib.*

%changelog
* Tue Jan 23 2007 Miroslav Lichvar <mlichvar@redhat.com> 3a4-1
- update to 3a4
- make scriptlets safer (#223717)

* Wed Jul 12 2006 Miroslav Lichvar <mlichvar@redhat.com> 3a3-2
- fix requires for install-info
- drop slibcat, include *.dat and grapheps.ps files

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3a3-1.1
- rebuild

* Tue May 09 2006 Miroslav Lichvar <mlichvar@redhat.com> 3a3-1
- update to slib3a3
- install info, remove html
- fix typo in description (#189650)

* Mon Feb 27 2006 Miroslav Lichvar <mlichvar@redhat.com> 3a1-6
- spec cleanup

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Sep  8 2005 Jindrich Novy <jnovy@redhat.com> 3a1-5
- regenerate slibcat to remove all links to umb-scheme
  to make gnucash work with slib
- don't ship slib.spec from the upstream tarball
- replace bogus links to /usr/lib
- don't ship unneeded files in slib directory
- add slib html documentation

* Thu Sep 08 2005 Florian La Roche <laroche@redhat.com> 3a1-4
- no need to provide slib for this package

* Tue Sep  6 2005 Jindrich Novy <jnovy@redhat.com> 3a1-3
- use _datadir instead of /usr/local/lib and don't use
  /usr/local prefix (#167490)

* Wed Dec  8 2004 Jindrich Novy <jnovy@redhat.com> 3a1-2
- remove symlinks creation for guile, it's done by guile itself

* Wed Oct  6 2004 Jindrich Novy <jnovy@redhat.com> 3a1-1
- new package
- original spec file from R. J. Meier and Radey Shouman
